{{page-title (capitalize (t 'new feature'))}}

{{#if @model}}
  <NewRecordForm::Feature
    @maps={{@model.maps}}
    @feature={{@model.feature}}
    @all={{this.all}}
    @baseMaps={{@model.baseMaps}}
    @onToggleAll={{this.toggleAll}}
    @onSubmit={{this.save}}
    @breadcrumbs={{this.breadcrumbs}}
    @onMapSelect={{this.onMapSelect}}
  />
{{else}}
  <LoadingContainer />
{{/if}}